/*
 * SYNGFIL.H
 *
 *   Generic File Synthesis Header
 *
 */

#ifndef __SYNGFIL_H
#define __SYNGFIL_H

#include "synbase.h"
#include "wlah.h"
#include "wlmsg.h"

class synGenericFile : public synBaseAuth {   // generic file output
public:
     synGenericFile(
     acthSession* _ses,
     bool anonok,
     INT lvlcnt=1) : synBaseAuth(_ses,anonok,AgentKey,lvlcnt)
     {
     }

     ~synGenericFile()
     {
     }

protected:
     ACTHCODE
     proceedRequest();                  // setup request context

     ACTHCODE
     proceedSynth();                    // synthesise the response

     ACTHCODE
     proceedDerivedResponse();          // output the response

     INT
     translateError();                  // translate err to mcv file op

};

#endif // __SYNGFIL_H
